## mx4j.log
Class Logger

    java.lang.Object
      mx4j.log.Logger

Direct Known Subclasses:
  CommonsLogger, FileLogger, Log4JLogger, LoggerBroadcaster.LoggerNotifier, MBeanLogger

public class Logger
extends java.lang.Object

Base class for logging objects.

Version:
  $Revision: 1.5 $

Field Summary
`static int` `DEBUG`
`static int` `ERROR`
`static int` `FATAL`
`static int` `INFO`
`static int` `TRACE`
`static int` `WARN`

Constructor Summary
`protected` `Logger()`

Method Summary
`void` `debug(java.lang.Object message)`
`void` `debug(java.lang.Object message, java.lang.Throwable t)`
`void` `error(java.lang.Object message)`
`void` `error(java.lang.Object message, java.lang.Throwable t)`
`void` `fatal(java.lang.Object message)`
`void` `fatal(java.lang.Object message, java.lang.Throwable t)`
`java.lang.String` `getCategory()`
`int` `getPriority()`
`void` `info(java.lang.Object message)`
`void` `info(java.lang.Object message, java.lang.Throwable t)`
`boolean` `isEnabledFor(int priority)`
`protected void` `log(int priority, java.lang.Object message, java.lang.Throwable t)`
`protected void` `setCategory(java.lang.String category)`
`void` `setPriority(int priority)`
`void` `trace(java.lang.Object message)`
`void` `trace(java.lang.Object message, java.lang.Throwable t)`
`void` `warn(java.lang.Object message)`
`void` `warn(java.lang.Object message, java.lang.Throwable t)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### TRACE

    public static final int TRACE

See Also:
  Constant Field Values

### DEBUG

    public static final int DEBUG

See Also:
  Constant Field Values

### INFO

    public static final int INFO

See Also:
  Constant Field Values

### WARN

    public static final int WARN

See Also:
  Constant Field Values

### ERROR

    public static final int ERROR

See Also:
  Constant Field Values

### FATAL

    public static final int FATAL

See Also:
  Constant Field Values

Constructor Detail

### Logger

    protected Logger()

Method Detail

### setPriority

    public void setPriority(int priority)

### getPriority

    public int getPriority()

### getCategory

    public java.lang.String getCategory()

### setCategory

    protected void setCategory(java.lang.String category)

### isEnabledFor

    public final boolean isEnabledFor(int priority)

### fatal

    public final void fatal(java.lang.Object message)

### fatal

    public final void fatal(java.lang.Object message,
                            java.lang.Throwable t)

### error

    public final void error(java.lang.Object message)

### error

    public final void error(java.lang.Object message,
                            java.lang.Throwable t)

### warn

    public final void warn(java.lang.Object message)

### warn

    public final void warn(java.lang.Object message,
                           java.lang.Throwable t)

### info

    public final void info(java.lang.Object message)

### info

    public final void info(java.lang.Object message,
                           java.lang.Throwable t)

### debug

    public final void debug(java.lang.Object message)

### debug

    public final void debug(java.lang.Object message,
                            java.lang.Throwable t)

### trace

    public final void trace(java.lang.Object message)

### trace

    public final void trace(java.lang.Object message,
                            java.lang.Throwable t)

### log

    protected void log(int priority,
                       java.lang.Object message,
                       java.lang.Throwable t)

Copyright © 2001-2005 The MX4J Contributors. All Rights Reserved.